Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/tsocks new aports

From: ScrumpyJack <scrumpyjack_at_me.com>
Date: Thu, 26 Mar 2015 18:46:02 +0000 (GMT)

A transparent SOCKS proxying library
http://tsocks.sourceforge.net/
---
 testing/tsocks/APKBUILD        | 50 +++++++++++++++++++++++++++++
 testing/tsocks/configure.patch | 71 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 121 insertions(+)
 create mode 100644 testing/tsocks/APKBUILD
 create mode 100644 testing/tsocks/configure.patch
diff --git a/testing/tsocks/APKBUILD b/testing/tsocks/APKBUILD
new file mode 100644
index 0000000..c91482b
--- /dev/null
+++ b/testing/tsocks/APKBUILD
_at_@ -0,0 +1,50 @@
+# Contributor: ScrumpyJack <scrumpyjack_at_me.com>
+# Maintainer:
+pkgname=tsocks
+pkgver=1.8_beta5
+_ver=${pkgver/_beta/beta}
+pkgrel=0
+pkgdesc="A transparent SOCKS proxying library"
+url="http://tsocks.sourceforge.net/"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends=""
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/${pkgname}/${pkgname}-${_ver}.tar.gz
+        configure.patch"
+
+_builddir="${srcdir}/${pkgname}-${pkgver%_*}"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        ./configure --prefix=/usr \
+                    --sysconfdir=/etc \
+                    --mandir=/usr/share/man \
+                    --libdir=/usr/lib \
+                    || return 1
+        make || return 1
+}
+
+package() {
+	cd "$_builddir"
+        make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="51caefd77e5d440d0bbd6443db4fc0f8  tsocks-1.8beta5.tar.gz
+644111485855c4d436fe89b9de9426d6  configure.patch"
+sha256sums="849d7ef5af80d03e76cc05ed9fb8fa2bcc2b724b51ebfd1b6be11c7863f5b347  tsocks-1.8beta5.tar.gz
+264628c26991c8c380dd6b2e0ced1cacfd52d33743477dac245360ef730474c4  configure.patch"
+sha512sums="b41636ea6b77abf0d1e3cda7bbca4e7ee96f3cdb1843f3a2c530650931e5567f67921de67b28ba9bab0f51df39770a3f7fb458cf7ac78aad7aa861923df2c4a9  tsocks-1.8beta5.tar.gz
+919479e359cafe4b331f5e5b058e0f07d1e6a37aa614891f9b16b4ea12a2358f8f42bb75c8cf9ebbecb223f88b1326e35f490c166247bd00d58e1eee57955800  configure.patch"
diff --git a/testing/tsocks/configure.patch b/testing/tsocks/configure.patch
new file mode 100644
index 0000000..e33485e
--- /dev/null
+++ b/testing/tsocks/configure.patch
_at_@ -0,0 +1,71 @@
+*** tsocks-1.8/configure	Mon Jul 15 22:51:08 2002
+--- tsocks-1.8/configure.modified	Thu Mar 26 18:34:09 2015
+***************
+*** 1299,1314 ****
+  fi
+  
+  
+! ac_safe=`echo "sys/poll.h" | sed 'y%./+-%__p_%'`
+! echo $ac_n "checking for sys/poll.h""... $ac_c" 1>&6
+! echo "configure:1305: checking for sys/poll.h" >&5
+  if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
+    echo $ac_n "(cached) $ac_c" 1>&6
+  else
+    cat > conftest.$ac_ext <<EOF
+  #line 1310 "configure"
+  #include "confdefs.h"
+! #include <sys/poll.h>
+  EOF
+  ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
+  { (eval echo configure:1315: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+--- 1299,1314 ----
+  fi
+  
+  
+! ac_safe=`echo "poll.h" | sed 'y%./+-%__p_%'`
+! echo $ac_n "checking for poll.h""... $ac_c" 1>&6
+! echo "configure:1305: checking for poll.h" >&5
+  if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
+    echo $ac_n "(cached) $ac_c" 1>&6
+  else
+    cat > conftest.$ac_ext <<EOF
+  #line 1310 "configure"
+  #include "confdefs.h"
+! #include <poll.h>
+  EOF
+  ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
+  { (eval echo configure:1315: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+***************
+*** 1330,1336 ****
+    :
+  else
+    echo "$ac_t""no" 1>&6
+! { echo "configure: error: "sys/poll.h not found"" 1>&2; exit 1; }
+  fi
+  
+  
+--- 1330,1336 ----
+    :
+  else
+    echo "$ac_t""no" 1>&6
+! { echo "configure: error: "poll.h not found"" 1>&2; exit 1; }
+  fi
+  
+  
+***************
+*** 2235,2241 ****
+  #line 2236 "configure"
+  #include "confdefs.h"
+  
+!       #include <sys/poll.h>
+        int poll($testproto);
+      
+  int main() {
+--- 2235,2241 ----
+  #line 2236 "configure"
+  #include "confdefs.h"
+  
+!       #include <poll.h>
+        int poll($testproto);
+  
+  int main() {
-- 
2.3.4
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Thu Mar 26 2015 - 18:46:02 GMT